%global debug_package %{nil}
Name:           sdrplayapi
Version:        0.0.0+git.20240608
Release:        1%{?dist}
Summary:        SDRplay API for Linux used for building SDRangel 
License:        None
Group:          Productivity/Hamradio/Other
URL:            https://github.com/srcejon/sdrplayapi
Source:         https://github.com/srcejon/sdrplayapi/archive/%{version}/%{name}-%{version}.tar.gz
#BuildArch:      x86_64 

%description
SDRplay API for Linux used for building SDRangel

%prep
%autosetup

%build

%install
mkdir -p %{buildroot}/
cp -r ./* %{buildroot}/

%post
chmod 644 /etc/udev/rules.d/66-mirics.rules
chmod 644 /usr/lib64/libsdrplay_api.so.3.15
chmod 644 /usr/include/sdrplay_api*.h
chmod 755 /usr/bin/sdrplay_apiService
chmod 644 /etc/systemd/system/sdrplay.service
systemctl start sdrplay
systemctl enable sdrplay
systemctl daemon-reload
systemctl restart sdrplay

%clean

%files
/etc/systemd/system/sdrplay.service
/usr/include/sdrplay_api_rspDx.h
/usr/include/sdrplay_api_rx_channel.h
/usr/include/sdrplay_api_rsp2.h
/usr/include/sdrplay_api.h
/usr/include/sdrplay_api_dev.h
/usr/include/sdrplay_api_tuner.h
/usr/include/sdrplay_api_callback.h
/usr/include/sdrplay_api_rsp1a.h
/usr/include/sdrplay_api_rspDuo.h
/usr/include/sdrplay_api_control.h
/usr/lib64/libsdrplay_api.so.3
/usr/lib64/libsdrplay_api.so.3.15
/usr/lib64/libsdrplay_api.so
/usr/bin/sdrplay_apiService

%changelog
* Mon Feb 26 2024 lu3vea@gmail.com - 0.0.0
- Fedora spec API 3.15
